# Class GameOverPhase

#### Hierarchy (view full)

- BattlePhase
  - GameOverPhase

- Defined in src/phases.ts:4004

#####
Index

### Constructors

constructor

### Properties

firstRibbons
scene
victory

### Methods

awardRibbon
end
handleGameOver
handleUnlocks
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new GameOverPhase(scene, victory?): GameOverPhase

- #### Parameters

  - scene: default
  - `Optional` victory: boolean

  #### Returns GameOverPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases.ts:4008

## Properties

### `Private` firstRibbons

firstRibbons: default [] = []

- Defined in src/phases.ts:4006

### `Protected` scene

scene: default

Inherited from BattlePhase.scene

- Defined in src/phase.ts:4

### `Private` victory

victory: boolean

- Defined in src/phases.ts:4005

## Methods

### awardRibbon

- awardRibbon(pokemon, forStarter?): void

- #### Parameters

  - pokemon: default
  - forStarter: boolean = false

  #### Returns void

  - Defined in src/phases.ts:4168

### end

- end(): void

- #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:17

### handleGameOver

- handleGameOver(): void

- #### Returns void

  - Defined in src/phases.ts:4057

### handleUnlocks

- handleUnlocks(): void

- #### Returns void

  - Defined in src/phases.ts:4154

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases.ts:4014